package com.liang.service;

import com.liang.entity.BaseParty;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * (BaseParty)表服务接口
 *
 * @author makejava
 * @since 2023-02-15 23:13:15
 */
public interface BasePartyService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BaseParty queryById(Integer id);

    /**
     * 分页查询
     *
     * @param baseParty   筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<BaseParty> queryByPage(BaseParty baseParty, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param baseParty 实例对象
     * @return 实例对象
     */
    BaseParty insert(BaseParty baseParty);

    /**
     * 修改数据
     *
     * @param baseParty 实例对象
     * @return 实例对象
     */
    BaseParty update(BaseParty baseParty);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 获取党派
     *
     * @return
     */
    List<Map<String, String>> getParty();
}
